// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class GraveNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new GraveNAddonDeed();
			}
		}

		[ Constructable ]
		public GraveNAddon()
		{
			AddComponent( new AddonComponent( 3795 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 3809 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 4454 ), 0, -1, 0 );
			AddonComponent ac = null;

		}

		public GraveNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class GraveNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new GraveNAddon();
			}
		}

		[Constructable]
		public GraveNAddonDeed()
		{
			Name = "GraveN";
Hue = 2406;
		}

		public GraveNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}